org.eclipse.jetty.server

## Interface Authentication.User

- All Superinterfaces:
    Authentication
  All Known Implementing Classes:
    FormAuthenticator.FormAuthentication, SessionAuthentication, UserAuthentication
  Enclosing interface:
    Authentication

      public static interface Authentication.User
      extends Authentication

  A successful Authentication with User information.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Authentication

      `Authentication.Challenge, Authentication.Deferred, Authentication.Failure, Authentication.ResponseSent, Authentication.SendSuccess, Authentication.User, Authentication.Wrapped`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jetty.server.Authentication

      `NOT_CHECKED, SEND_CONTINUE, SEND_FAILURE, SEND_SUCCESS, UNAUTHENTICATED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthMethod()`
    `UserIdentity` | `getUserIdentity()`
    `boolean` | `isUserInRole(UserIdentity.Scope scope, String role)`
    `void` | `logout()`

- - ### Method Detail

    - #### getAuthMethod

          String getAuthMethod()

    - #### getUserIdentity

          UserIdentity getUserIdentity()

    - #### isUserInRole

          boolean isUserInRole(UserIdentity.Scope scope,
                             String role)

    - #### logout

          void logout()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.